





#ifndef XCOLLISIONAABBTREEINDEX_H
#define XCOLLISIONAABBTREEINDEX_H

#include "xasset.h"

class XCollisionAabbTreeIndex : public XAsset
{
public:
    explicit XCollisionAabbTreeIndex();

    void ParseData(QDataStream *aStream) override;

    // Option 1: First child index
    int GetFirstChildIndex() const;
    void SetFirstChildIndex(int index);

    // Option 2: Partition index
    int GetPartitionIndex() const;
    void SetPartitionIndex(int index);

private:
    union {
        int mFirstChildIndex = 0;
        int mPartitionIndex = 0;
    };
};

#endif // XCOLLISIONAABBTREEINDEX_H





